<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom"
        android:background="@drawable/game_detail_more_dialog_background"
        android:descendantFocusability="blocksDescendants">

        <View
            android:id="@+id/handle_view"
            android:layout_width="32dp"
            android:layout_height="4dp"
            android:layout_marginTop="12dp"
            android:background="@drawable/download_dialog_close_hint"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/drag_close"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:clickable="false"
            app:layout_constraintBottom_toTopOf="@id/divider_line_1"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            android:id="@+id/title_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="15dp"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/handle_view">

            <com.gh.gamecenter.feature.view.GameIconView
                android:id="@+id/gameIconView"
                android:layout_width="28dp"
                android:layout_height="28dp"
                android:layout_marginRight="8dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/gameNameTv"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginRight="16dp"
                android:layout_weight="1"
                android:ellipsize="end"
                android:maxLines="1"
                android:textColor="@color/text_primary"
                android:textSize="16sp"
                app:layout_constraintBottom_toBottomOf="@+id/gameIconView"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/gameIconView"
                app:layout_constraintTop_toTopOf="@+id/gameIconView"
                tools:text="剑与远征" />
        </LinearLayout>

        <View
            android:id="@+id/divider_line_1"
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:layout_marginTop="12dp"
            android:background="@color/ui_divider"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/title_container" />


        <HorizontalScrollView
            android:id="@+id/share_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:scrollbars="none"
            app:layout_constraintTop_toBottomOf="@+id/divider_line_1">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:paddingLeft="16dp"
                android:paddingRight="16dp">

                <TextView
                    android:id="@+id/share_wechat_tv"
                    style="@style/share_dialog_item"
                    android:layout_marginStart="0dp"
                    android:layout_marginLeft="0dp"
                    android:text="微信好友"
                    app:drawableTopCompat="@drawable/icon_gamedetail_share_wechat" />

                <TextView
                    android:id="@+id/share_pyquan_tv"
                    style="@style/share_dialog_item"
                    android:text="朋友圈"
                    app:drawableTopCompat="@drawable/icon_gamedetail_share_pyqun" />

                <TextView
                    android:id="@+id/share_qq_tv"
                    style="@style/share_dialog_item"
                    android:text="QQ好友"
                    app:drawableTopCompat="@drawable/icon_gamedetail_share_qq" />

                <TextView
                    android:id="@+id/share_qqzone_tv"
                    style="@style/share_dialog_item"
                    android:text="QQ空间"
                    app:drawableTopCompat="@drawable/icon_gamedetail_share_qqzone" />

                <TextView
                    android:id="@+id/share_weibo_tv"
                    style="@style/share_dialog_item"
                    android:text="新浪微博"
                    app:drawableTopCompat="@drawable/icon_gamedetail_share_weibo" />

                <TextView
                    android:id="@+id/share_sms_tv"
                    style="@style/share_dialog_item"
                    android:text="短信"
                    app:drawableTopCompat="@drawable/icon_gamedetail_share_sms" />
            </LinearLayout>
        </HorizontalScrollView>

        <View
            android:id="@+id/divider_line_2"
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:layout_marginTop="16dp"
            android:background="@color/ui_divider"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/share_container" />

        <HorizontalScrollView
            android:id="@+id/action_scrollview"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dp"
            android:scrollbars="none"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/divider_line_2">

            <LinearLayout
                android:id="@+id/action_container"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:paddingLeft="16dp">

                <TextView
                    android:id="@+id/concern_tv"
                    style="@style/share_dialog_item"
                    android:layout_marginLeft="0dp"
                    android:layout_marginRight="16dp"
                    android:drawableTop="@drawable/ic_gamedetail_menu_follow"
                    android:drawablePadding="8dp"
                    android:text="关注游戏"
                    android:visibility="gone"
                    tools:visibility="visible" />

                <TextView
                    android:id="@+id/copy_link_tv"
                    style="@style/share_dialog_item"
                    android:layout_marginStart="0dp"
                    android:layout_marginLeft="0dp"
                    android:drawablePadding="8dp"
                    android:text="复制链接"
                    app:drawableTopCompat="@drawable/icon_gamedetail_copy_link" />

                <TextView
                    android:id="@+id/feedback_tv"
                    style="@style/share_dialog_item"
                    android:text="帮助与反馈"
                    app:drawableTopCompat="@drawable/icon_gamedetail_feedback" />

                <TextView
                    android:id="@+id/copyright_tv"
                    style="@style/share_dialog_item"
                    android:text="版权申诉"
                    app:drawableTopCompat="@drawable/icon_gamedetail_copyright" />
            </LinearLayout>
        </HorizontalScrollView>

        <TextView
            android:id="@+id/cancelTv"
            style="@style/GrayLightButton"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="20dp"
            android:layout_marginRight="16dp"
            android:layout_marginBottom="16dp"
            android:gravity="center"
            android:text="取消"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/action_scrollview" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>